#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {1, 1, 2, 2, 1, 2};
}

int getMove1d(std::vector<int> v)
{
    if (v == {1, 2, 2, 1, 2} || v == {2, 1, 2, 1, 1} || v == {1, 1, 2, 2, 1}) {
        return 4;
    }
    return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
